Bug 624463 - Review Request: perl-Snowball-Swedish - Porter's stemming algorithm for Swedish
Review Request: perl-Snowball-Swedish - Porter's stemming algorithm for Swedish
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Snowball-...
:
Depends On:
Blocks: perl-Lingua-Stem
  Show dependency treegraph
 
Reported: 2010-08-16 10:38 EDT by Iain Arnell
Modified: 2010-09-08 21:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Snowball-Swedish-1.2-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-08 00:33:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
emmanuel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2010-08-16 10:38:10 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Snowball-Swedish.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Snowball-Swedish-1.2-1.fc15.src.rpm

Description:
The stem function takes a scalar as a parameter and stems the word according to
Martin Porter's Swedish stemming algorithm, which can be found at the Snowball
website: http://snowball.tartarus.org/.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2403906

*rt-0.10_01
Comment 1 Emmanuel Seyman 2010-08-22 09:22:12 EDT
Taking.
Comment 2 Emmanuel Seyman 2010-08-22 12:26:53 EDT
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2417096

 [x] Rpmlint output: 
perl-Snowball-Swedish.noarch: W: no-manual-page-for-binary stemmer-se
perl-Snowball-Swedish.src: W: no-cleaning-of-buildroot %install
perl-Snowball-Swedish.src: W: no-cleaning-of-buildroot %clean
perl-Snowball-Swedish.src: W: no-buildroot-tag
perl-Snowball-Swedish.src: W: no-%clean-section
perl-Snowball-Swedish.src: W: invalid-url Source0: http://www.cpan.org/authors/id/A/AS/ASKSH/Snowball-Swedish-1.2.tar.gz <urlopen error timed out>
perl-Snowball-Swedish.spec: W: no-cleaning-of-buildroot %install
perl-Snowball-Swedish.spec: W: no-cleaning-of-buildroot %clean
perl-Snowball-Swedish.spec: W: no-buildroot-tag
perl-Snowball-Swedish.spec: W: no-%clean-section
perl-Snowball-Swedish.spec: W: invalid-url Source0: http://www.cpan.org/authors/id/A/AS/ASKSH/Snowball-Swedish-1.2.tar.gz <urlopen error timed out>
2 packages and 1 specfiles checked; 0 errors, 11 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
No buildroot defined, default is used

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic

This one has the same problem as #624461. Header says GPLv2 only, pod says Perl.

 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
e2ed0f5c2a9fc7e500c61553c4c1e9c9  Snowball-Swedish-1.2.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2417096

 [!] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=3, Tests=30626, 10 wallclock secs ( 3.72 usr  0.23 sys +  9.10 cusr  0.21 csys = 13.26 CPU)
Result: PASS

APPROVED.
Comment 3 Iain Arnell 2010-08-22 23:09:15 EDT
New Package CVS Request
=======================
Package Name: perl-Snowball-Swedish
Short Description: Porter's stemming algorithm for Swedish
Owners: iarnell
Branches: F-13 F-14
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2010-08-23 17:19:56 EDT
Git done (by process-git-requests).
Comment 5 Iain Arnell 2010-08-28 07:47:46 EDT
I didn't hear back from upstream about license yet, so I've imported it with "GPLv2 or Artistic".
Comment 6 Fedora Update System 2010-08-28 08:01:04 EDT
perl-Snowball-Swedish-1.2-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Snowball-Swedish-1.2-2.fc14
Comment 7 Fedora Update System 2010-08-28 08:01:09 EDT
perl-Snowball-Swedish-1.2-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-Snowball-Swedish-1.2-2.fc13
Comment 8 Fedora Update System 2010-08-30 15:39:20 EDT
perl-Snowball-Swedish-1.2-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Snowball-Swedish'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-Snowball-Swedish-1.2-2.fc14
Comment 9 Fedora Update System 2010-09-08 00:33:05 EDT
perl-Snowball-Swedish-1.2-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-09-08 21:24:18 EDT
perl-Snowball-Swedish-1.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.